CREATE TABLE fnd_role_migration_retry (
    RETRY_ROLE_ID        NUMBER(18, 0) ,
    TARGET_ID            VARCHAR2(1024),
    ROLE_DISPLAY_NAME    VARCHAR2(4000),
    ROLE_DESCRIPTION     VARCHAR2(4000),
    ROLE_ID              NUMBER(18, 0) ,
    ROLE_COMMON_NAME     VARCHAR2(4000),
    OPERATION_TYPE       VARCHAR2(80)      NOT NULL,
    RESPONSE_CODE        VARCHAR2(400) ,
    ERROR_CODE           VARCHAR2(400) ,
    FAILURE_MESSAGE      VARCHAR2(4000),
    RETRY_ATTEMPT        NUMBER            NOT NULL,
    RETRY_FLAG           VARCHAR2(20)      NOT NULL,
    TARGET               VARCHAR2(40)      NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    RETRY_ROLE_ID        NUMBER(18, 0) ,
    ROLE_DISPLAY_NAME    VARCHAR2(4000),
    ROLE_DESCRIPTION     VARCHAR2(4000),
    ROLE_ID              NUMBER(18, 0) ,
    ROLE_COMMON_NAME     VARCHAR2(4000),
    OPERATION_TYPE       VARCHAR2(80)      NOT NULL,
    RESPONSE_CODE        VARCHAR2(400) ,
    ERROR_CODE           VARCHAR2(400) ,
    FAILURE_MESSAGE      VARCHAR2(4000),
    RETRY_ATTEMPT        NUMBER            NOT NULL,
    RETRY_FLAG           VARCHAR2(20)      NOT NULL,
    TARGET               VARCHAR2(40)      NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    TARGET_ID            VARCHAR2(1024),
    CONSTRAINT pk_fnd_role_migration_retry PRIMARY KEY (RETRY_ROLE_ID, ROLE_ID, RETRY_ROLE_ID, ROLE_ID)
);
